Subject: Re: bug#10223: 24.0.91; URL (url-http-parse-reponse) errors on Timeout

From: Chong Yidong <[email-masked]>
Date: Sun, 11 Mar 2012 23:13:15 +0800

Donald Curtis <[email-masked]> writes:

> It appears that when url-http-parse-response is called, there is no
> data, since the timeout has occurred.  I realize this is actually
> because my hosting service has decided that the timeout should be low.
> But it's reasonable to assume that url should be able to handle this
> situation OR package.el should handle it.

I've committed a fix to url-http.el.  Thanks for the bug report.